<section>
    <mat-tab-group mat-align-tabs="center">
        <mat-tab *ngIf="taboneLabel && !showGL" [label]="taboneLabel">
            <app-po-molecule (fetchData)="fetchData($event)" [poData]="poData" [isDataAvailable]="isDataAvailable" [displayedColumn]="displayedColumn" [pageType]="taboneLabel" [processType]="processType"></app-po-molecule>
        </mat-tab>
        <mat-tab *ngIf="tabTwoLabel && !showGL  && donotShowAmt" [label]="tabTwoLabel">
            <app-material-received-molecule (fetchData)="fetchData($event)" [materialReceivedData]="materialReceivedData" [isDataAvailable]="isDataAvailable" [displayedColumn]="displayedColumnWithoutAmt" [pageType]="tabTwoLabel"></app-material-received-molecule>
        </mat-tab>
        <mat-tab *ngIf="tabTwoLabel && !showGL  && !donotShowAmt" [label]="tabTwoLabel">
                <app-material-received-molecule (fetchData)="fetchData($event)" [materialReceivedData]="materialReceivedData" [isDataAvailable]="isDataAvailable" [displayedColumn]="displayedColumn" [pageType]="tabTwoLabel"></app-material-received-molecule>
        </mat-tab>
        <mat-tab *ngIf="tabThreeLabel && !showGL" [label]="tabThreeLabel">
            <app-profile-payment-molecule (fetchData)="fetchData($event)" [paymentData]="paymentData" [isDataAvailable]="isDataAvailable" [displayedColumn]="displayedColumn" [pageType]="tabThreeLabel"></app-profile-payment-molecule>
        </mat-tab>
        <mat-tab *ngIf="tabFourLabel && !showGL" [label]="tabFourLabel">
            <app-profile-payment-molecule (fetchData)="fetchData($event)" [paymentData]="tabFourData" [isDataAvailable]="isDataAvailable" [displayedColumn]="displayedColumn" [pageType]="tabFourLabel"></app-profile-payment-molecule>
        </mat-tab>
        <mat-tab *ngIf="tabFiveLabel && !showGL" [label]="tabFiveLabel">
            <app-profile-payment-molecule (fetchData)="fetchData($event)" [paymentData]="tabFiveData" [isDataAvailable]="isDataAvailable" [displayedColumn]="displayedColumn" [pageType]="tabFiveLabel"></app-profile-payment-molecule>
        </mat-tab>
        <mat-tab *ngIf="tabSixLabel && !showGL" [label]="tabSixLabel">
            <app-profile-payment-molecule (fetchData)="fetchData($event)" [paymentData]="tabSixData" [isDataAvailable]="isDataAvailable" [displayedColumn]="displayedColumn" [pageType]="tabSixLabel"></app-profile-payment-molecule>
        </mat-tab>
        <mat-tab *ngIf="tabSevenLabel && !showGL" [label]="tabSevenLabel">
            <app-profile-payment-molecule (fetchData)="fetchData($event)" [paymentData]="tabSevenData" [isDataAvailable]="isDataAvailable" [displayedColumn]="displayedColumn" [pageType]="tabSevenLabel"></app-profile-payment-molecule>
        </mat-tab>
        <mat-tab *ngIf="tabEightLabel && !showGL" [label]="tabEightLabel">
            <app-profile-payment-molecule (fetchData)="fetchData($event)" [paymentData]="tabEightData" [isDataAvailable]="isDataAvailable" [displayedColumn]="displayedColumn" [pageType]="tabEightLabel"></app-profile-payment-molecule>
        </mat-tab>
        <mat-tab *ngIf="tabNineLabel && !showGL" [label]="tabNineLabel">
            <app-profile-payment-molecule (fetchData)="fetchData($event)" [paymentData]="tabNineData" [isDataAvailable]="isDataAvailable" [displayedColumn]="displayedColumn" [pageType]="tabNineLabel"></app-profile-payment-molecule>
        </mat-tab>
        <mat-tab *ngIf="tabTenLabel && !showGL" [label]="tabTenLabel">
            <app-profile-payment-molecule (fetchData)="fetchData($event)" [paymentData]="tabTenData" [isDataAvailable]="isDataAvailable" [displayedColumn]="displayedColumn" [pageType]="tabTenLabel"></app-profile-payment-molecule>
        </mat-tab>
        <mat-tab *ngIf="tabEleLabel && !showGL" [label]="tabEleLabel">
            <app-profile-payment-molecule (fetchData)="fetchData($event)" [paymentData]="tabEleData" [isDataAvailable]="isDataAvailable" [displayedColumn]="displayedColumn" [pageType]="tabEleLabel"></app-profile-payment-molecule>
        </mat-tab>
        <mat-tab *ngIf="tabTwelveLabel && !showGL" [label]="tabTwelveLabel">
            <app-profile-payment-molecule (fetchData)="fetchData($event)" [paymentData]="tabTwelveData" [isDataAvailable]="isDataAvailable" [displayedColumn]="displayedColumn" [pageType]="tabTwelveLabel"></app-profile-payment-molecule>
        </mat-tab>
        <mat-tab *ngIf="tabOneThreeLabel && !showGL" [label]="tabOneThreeLabel">
            <app-profile-payment-molecule (fetchData)="fetchData($event)" [paymentData]="tabOneThreeData" [isDataAvailable]="isDataAvailable" [displayedColumn]="displayedColumn" [pageType]="tabOneThreeLabel"></app-profile-payment-molecule>
        </mat-tab>
        <mat-tab *ngIf="tabOneFourLabel && !showGL" [label]="tabOneFourLabel">
            <app-profile-payment-molecule (fetchData)="fetchData($event)" [paymentData]="tabOneFourData" [isDataAvailable]="isDataAvailable" [displayedColumn]="displayedColumn" [pageType]="tabOneFourLabel"></app-profile-payment-molecule>
        </mat-tab>
      </mat-tab-group>
      <section *ngIf="showGL">
        <app-po-molecule [poData]="poData" [isDataAvailable]="isDataAvailable" [displayedColumn]="displayedColumn" [pageType]="taboneLabel"></app-po-molecule>
      </section>
</section>
